namespace Fort23.Core
{
    public static class IdGenerater
    {
        private static long _increase;
        private static int _increaseInt;

        public static long GenerateId()
        {
            _increase++;
            return _increase;
        }

        /// <summary>
        /// 这里每次跳跃1000是为了给XNode的guid留足够多的ID点，尽量保证不重复，导出的表格中做了相关处理的，重复了也不会影响内容
        /// </summary>
        /// <returns></returns>
        public static int GenerateIdInt()
        {
            _increaseInt += 1000;
            return (int)(TimeHelper.ClientNowSeconds() % 1000000000 + _increaseInt);
        }
    }
}